curl --request PUT \
--url https://api.demo.fuelboss.net/v1/nominations/drafts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientReference": "<string>",
"delivery": {
"operationStandardCode": "<string>",
"laycanStart": "2023-11-07T05:31:56Z",
"laycanEnd": "2023-11-07T05:31:56Z",
"bunkeringLocationCode": "<string>",
"portBunkeringLocationCode": "<string>",
"bunkeringLocationDetails": "<string>",
"berthTime": "2023-11-07T05:31:56Z",
"pilotTime": "2023-11-07T05:31:56Z",
"estimatedTimeOfBunkering": "2023-11-07T05:31:56Z",
"estimatedBunkeringDurationInMinutes": 123,
"supplierAssetBufferTimeInMinutes": 123,
"contractReference": "<string>",
"gasUpRequired": true,
"coolDownRequired": true
},
"supplier": {
"assetIdentifier": {
"vessel": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"terminalName": "<string>"
},
"companyIdentifier": "<string>",
"companyEntityReference": "<string>",
"orderReference": "<string>",
"internalReference": "<string>",
"internalInstructions": "<string>",
"assetOperatorCompanyIdentifier": "<string>"
},
"receiver": {
"companyIdentifier": "<string>",
"companyName": "<string>",
"vesselIdentifier": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"vesselName": "<string>",
"estimatedTimeOfArrival": "2023-11-07T05:31:56Z",
"estimatedTimeOfDeparture": "2023-11-07T05:31:56Z",
"orderReference": "<string>",
"lastPortCode": "<string>",
"nextPortCode": "<string>",
"counterpartEntityReference": "<string>",
"companyEntityReference": "<string>"
},
"fuelSpecifications": [
{
"fuelType": "<string>",
"brand": "<string>",
"quantityRange": {
"minQuantity": 123,
"maxQuantity": 123
},
"certificateOfQuality": {
"identifier": "<string>",
"flashPoint": {
"value": "<string>"
},
"pourPoint": {
"value": 123
},
"viscosity": {
"value": 123
},
"sulphurContent": {
"value": "<string>"
},
"density": {
"value": 123
},
"waterContent": {
"value": "<string>"
}
},
"biofuelProperties": {
"typeOfFeedstock": "<string>",
"blendRatio": 123,
"isccCertified": true,
"isccValue": 123,
"certificateScheme": "<string>"
}
}
],
"stakeholders": [
{
"companyIdentifier": "<string>",
"userEmail": "<string>"
}
]
}
'import requests
url = "https://api.demo.fuelboss.net/v1/nominations/drafts"
payload = {
"clientReference": "<string>",
"delivery": {
"operationStandardCode": "<string>",
"laycanStart": "2023-11-07T05:31:56Z",
"laycanEnd": "2023-11-07T05:31:56Z",
"bunkeringLocationCode": "<string>",
"portBunkeringLocationCode": "<string>",
"bunkeringLocationDetails": "<string>",
"berthTime": "2023-11-07T05:31:56Z",
"pilotTime": "2023-11-07T05:31:56Z",
"estimatedTimeOfBunkering": "2023-11-07T05:31:56Z",
"estimatedBunkeringDurationInMinutes": 123,
"supplierAssetBufferTimeInMinutes": 123,
"contractReference": "<string>",
"gasUpRequired": True,
"coolDownRequired": True
},
"supplier": {
"assetIdentifier": {
"vessel": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"terminalName": "<string>"
},
"companyIdentifier": "<string>",
"companyEntityReference": "<string>",
"orderReference": "<string>",
"internalReference": "<string>",
"internalInstructions": "<string>",
"assetOperatorCompanyIdentifier": "<string>"
},
"receiver": {
"companyIdentifier": "<string>",
"companyName": "<string>",
"vesselIdentifier": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"vesselName": "<string>",
"estimatedTimeOfArrival": "2023-11-07T05:31:56Z",
"estimatedTimeOfDeparture": "2023-11-07T05:31:56Z",
"orderReference": "<string>",
"lastPortCode": "<string>",
"nextPortCode": "<string>",
"counterpartEntityReference": "<string>",
"companyEntityReference": "<string>"
},
"fuelSpecifications": [
{
"fuelType": "<string>",
"brand": "<string>",
"quantityRange": {
"minQuantity": 123,
"maxQuantity": 123
},
"certificateOfQuality": {
"identifier": "<string>",
"flashPoint": { "value": "<string>" },
"pourPoint": { "value": 123 },
"viscosity": { "value": 123 },
"sulphurContent": { "value": "<string>" },
"density": { "value": 123 },
"waterContent": { "value": "<string>" }
},
"biofuelProperties": {
"typeOfFeedstock": "<string>",
"blendRatio": 123,
"isccCertified": True,
"isccValue": 123,
"certificateScheme": "<string>"
}
}
],
"stakeholders": [
{
"companyIdentifier": "<string>",
"userEmail": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientReference: '<string>',
delivery: {
operationStandardCode: '<string>',
laycanStart: '2023-11-07T05:31:56Z',
laycanEnd: '2023-11-07T05:31:56Z',
bunkeringLocationCode: '<string>',
portBunkeringLocationCode: '<string>',
bunkeringLocationDetails: '<string>',
berthTime: '2023-11-07T05:31:56Z',
pilotTime: '2023-11-07T05:31:56Z',
estimatedTimeOfBunkering: '2023-11-07T05:31:56Z',
estimatedBunkeringDurationInMinutes: 123,
supplierAssetBufferTimeInMinutes: 123,
contractReference: '<string>',
gasUpRequired: true,
coolDownRequired: true
},
supplier: {
assetIdentifier: {
vessel: {imo: 123, mmsi: 123, externalId: '<string>'},
terminalName: '<string>'
},
companyIdentifier: '<string>',
companyEntityReference: '<string>',
orderReference: '<string>',
internalReference: '<string>',
internalInstructions: '<string>',
assetOperatorCompanyIdentifier: '<string>'
},
receiver: {
companyIdentifier: '<string>',
companyName: '<string>',
vesselIdentifier: {imo: 123, mmsi: 123, externalId: '<string>'},
vesselName: '<string>',
estimatedTimeOfArrival: '2023-11-07T05:31:56Z',
estimatedTimeOfDeparture: '2023-11-07T05:31:56Z',
orderReference: '<string>',
lastPortCode: '<string>',
nextPortCode: '<string>',
counterpartEntityReference: '<string>',
companyEntityReference: '<string>'
},
fuelSpecifications: [
{
fuelType: '<string>',
brand: '<string>',
quantityRange: {minQuantity: 123, maxQuantity: 123},
certificateOfQuality: {
identifier: '<string>',
flashPoint: {value: '<string>'},
pourPoint: {value: 123},
viscosity: {value: 123},
sulphurContent: {value: '<string>'},
density: {value: 123},
waterContent: {value: '<string>'}
},
biofuelProperties: {
typeOfFeedstock: '<string>',
blendRatio: 123,
isccCertified: true,
isccValue: 123,
certificateScheme: '<string>'
}
}
],
stakeholders: [{companyIdentifier: '<string>', userEmail: '<string>'}]
})
};
fetch('https://api.demo.fuelboss.net/v1/nominations/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clientReference": "<string>",
"status": "unknown",
"lastChangedAtUtc": "2023-11-07T05:31:56Z"
}{
"clientReference": "<string>",
"status": "unknown",
"lastChangedAtUtc": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}Creates or updates a draft nomination
Creates a new draft nomination or updates an existing one based on the client reference. Uses idempotency to prevent duplicate submissions.
Authorizations
Access token obtained from the /oauth/token endpoint using your client credentials.
Body
Request body for Create or Update Draft Nomination.
Your unique identifier for the draft within your company. Used to reference the draft in subsequent calls.
Delivery information.
Show child attributes
Show child attributes
Supplier information.
Show child attributes
Show child attributes
Receiver information.
Show child attributes
Show child attributes
Fuel specifications of the draft.
Show child attributes
Show child attributes
Stakeholders involved in the draft.
Show child attributes
Show child attributes
Response
OK
Response returned by Create or Update Draft Nomination.
Your unique identifier for the draft.
Status of the draft after the operation.
Possible values:
unknown— Status is unknown.in_progress— Draft is still being prepared.completed— Draft has been completed and is ready to be sent.
unknown, in_progress, completed Timestamp (UTC) of the last change to the draft.